# Get matters

Retrieve a list of matters

Endpoint: GET /v2/matters

## Query parameters:

  - `$filter` (string)
    Filter the results using OData filter syntax

  - `$orderby` (string)
    Order the results using OData orderby syntax

  - `$skip` (integer)
    Skip the specified number of results

  - `$top` (integer)
    Limit the number of results returned

## Response 200 fields (application/json):

  - `items` (array)
    The collection of items

  - `items.id` (integer)
    The system identifier for the matter
    Example: 1056

  - `items.name` (string)
    The user defined name of the matter 

When simple ticketing is enabled for the organization then the Name is going to be optional and will default to simple ticketing rules, otherwise is required.
    Example: My matter

  - `items.displayId` (string)
    A system generated identifier of the matter.
Also known as "LawVu ID" or "Matter Number"
    Example: LV0001-0001

  - `items.type` (object)
    The type of the matter

  - `items.type.id` (integer)
    The system identifier for the matter type
    Example: 7492

  - `items.type.name` (string)
    The user defined name of the matter type
    Example: NDA

  - `items.owner` (object)
    The user assigned as the owner of the matter

  - `items.owner.email` (string)
    The email address of the user
    Example: api.developer@lawvu.com

  - `items.owner.firstName` (string)
    The first name of the user
    Example: Api

  - `items.owner.id` (string)
    The unique identifier of the user
    Example: f0f1e06e-3005-4093-af7f-1934d55617e1

  - `items.owner.lastName` (string)
    The last name of the user
    Example: Developer

  - `items.owner.organization` (object)
    The organization the user belongs to

  - `items.owner.organization.id` (integer)
    The system identifier for the organization
    Example: 8134

  - `items.owner.organization.name` (string)
    The name of the organization
    Example: Api Development Organization

  - `items.owner.organizationId` (integer)
    The system identifier for the organization
    Example: 8134

  - `items.manager` (object)
    The user managing the matter or the intake queue for an organization.

Only one of User and IntakeQueue can be assigned to a matter at a time.

  - `items.manager.intakeQueue` (object)
    The intake queue for the organization that is assigned to manage the matter

  - `items.manager.intakeQueue.organizationId` (integer)
    The system identifier for the organization
    Example: 8134

  - `items.manager.intakeQueue.organizationName` (string)
    The name of the organization
    Example: Api Development Organization

  - `items.manager.user` (object)
    The user who is assigned to manage the matter

  - `items.externalId` (string)
    A unique user defined identifier that can be used to reference another system
    Example: external-01

  - `items.restricted` (boolean)
    Is the matter only available to members

An indicator where the matter requires membership to access
    Example: false

  - `items.status` (string)
    The current status of the matter
    Enum: "Draft", "Scoping", "Review", "Active", "TasksLate", "MilestonesLate", "TasksAndMilestonesLate", "AwaitingManagerAcceptance", "AwaitingOwnerAcceptance", "Complete", "Archived", "OnHold"

  - `items.teamAssigned` (object)
    The team which this matter is assigned to

  - `items.teamAssigned.id` (integer)
    The system identifier for the team
    Example: 469

  - `items.teamAssigned.name` (string)
    The full name of the team
    Example: Legal - Commercial

  - `items.created` (object)
    The user who created the matter and when

  - `items.created.dateUtc` (string)
    The date and time the action was performed. The date and time uses the ISO-8601 format and will be in UTC
    Example: 2024-12-25T00:00:00Z

  - `items.created.user` (object)
    The user who performed the action

  - `items.created.userName` (string)
    The username of who performed the action
    Example: api.developer@lawvu.com

## Response 400 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

